// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta/eta_index_lib/controllers"
	"eta/eta_index_lib/controllers/fix"
	"eta/eta_index_lib/controllers/future_good"
	"eta/eta_index_lib/controllers/open"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/edbapi",
		beego.NSNamespace("/ths",
			beego.NSInclude(
				&controllers.ThsController{},
				&controllers.ThsDsController{},
			),
		),
		beego.NSNamespace("/pb",
			beego.NSInclude(
				&controllers.PbController{},
			),
		),
		beego.NSNamespace("/pb_finance",
			beego.NSInclude(
				&controllers.PbFinanceController{},
			),
		),
		beego.NSNamespace("/wind",
			beego.NSInclude(
				&controllers.WindController{},
				&controllers.WindWsdController{},
			),
		),
		beego.NSNamespace("/lz",
			beego.NSInclude(
				&controllers.LzController{},
			),
		),
		beego.NSNamespace("/lt",
			beego.NSInclude(
				&controllers.LtController{},
			),
		),
		beego.NSNamespace("/smm",
			beego.NSInclude(
				&controllers.SmmController{},
			),
		),
		beego.NSNamespace("/mysteel",
			beego.NSInclude(
				&controllers.MySteelController{},
			),
		),
		beego.NSNamespace("/manual",
			beego.NSInclude(
				&controllers.ManualController{},
			),
		),
		beego.NSNamespace("/calculate",
			beego.NSInclude(
				&controllers.CalculateController{},
			),
		),
		beego.NSNamespace("/zz",
			beego.NSInclude(
				&controllers.ZzController{},
			),
		),
		beego.NSNamespace("/dl",
			beego.NSInclude(
				&controllers.DlController{},
			),
		),
		beego.NSNamespace("/sh",
			beego.NSInclude(
				&controllers.ShController{},
			),
		),
		beego.NSNamespace("/cffex",
			beego.NSInclude(
				&controllers.CffexController{},
			),
		),
		beego.NSNamespace("/shfe",
			beego.NSInclude(
				&controllers.ShfeController{},
			),
		),
		beego.NSNamespace("/gie",
			beego.NSInclude(
				&controllers.GieController{},
			),
		),
		beego.NSNamespace("/coal",
			beego.NSInclude(
				&controllers.CoalController{},
			),
		),
		beego.NSNamespace("/python",
			beego.NSInclude(
				&controllers.PythonController{},
			),
		),
		beego.NSNamespace("/google_travel",
			beego.NSInclude(
				&controllers.GoogleTravelController{},
			),
		),
		beego.NSNamespace("/mysteel_chemical",
			beego.NSInclude(
				&controllers.MySteelChemicalController{},
			),
		),
		beego.NSNamespace("/predict_calculate",
			beego.NSInclude(
				&controllers.PredictCalculateController{},
			),
		),
		beego.NSNamespace("/eia_steo",
			beego.NSInclude(
				&controllers.EiaSteoController{},
			),
		),
		beego.NSNamespace("/predict",
			beego.NSInclude(
				&controllers.PredictController{},
			),
		),
		beego.NSNamespace("/future_good",
			beego.NSInclude(
				&future_good.FutureGoodEdbInfoController{},
			),
		),
		beego.NSNamespace("/sci",
			beego.NSInclude(
				&controllers.SciController{},
			),
		),
		beego.NSNamespace("/com_trade",
			beego.NSInclude(
				&controllers.ComTradeController{},
			),
		),
		beego.NSNamespace("/baiinfo",
			beego.NSInclude(
				&controllers.BaiinfoController{},
			),
		),
		beego.NSNamespace("/yongyi",
			beego.NSInclude(
				&controllers.YongyiController{},
			),
		),
		beego.NSNamespace("/stock_plant",
			beego.NSInclude(
				&controllers.StockPlantController{},
			),
		),
		beego.NSNamespace("/national_statistics",
			beego.NSInclude(
				&controllers.NationalStatisticsController{},
			),
		),
		beego.NSNamespace("/fubao",
			beego.NSInclude(
				&controllers.FuBaoController{},
			),
		),
		beego.NSNamespace("/open",
			beego.NSInclude(
				&open.EdbInfoController{},
			),
		),
		beego.NSNamespace("/classify",
			beego.NSInclude(
				&controllers.EdbClassifyController{},
			),
		),
		beego.NSNamespace("/edb_info",
			beego.NSInclude(
				&controllers.EdbInfoController{},
			),
		),
		beego.NSNamespace("/edb_info_calculate",
			beego.NSInclude(
				&controllers.EdbInfoCalculateController{},
			),
		),
		beego.NSNamespace("/exchange_crawler",
			beego.NSInclude(
				&controllers.ExchangeCrawler{},
			),
		),
		beego.NSNamespace("/fix",
			beego.NSInclude(
				&fix.CustomAnalysisController{},
			),
		),
		beego.NSNamespace("/jiayue_index",
			beego.NSInclude(
				&controllers.JiaYueController{},
			),
		),
		beego.NSNamespace("/edb_stat",
			beego.NSInclude(
				&controllers.EdbInfoStatController{},
			),
		),
		beego.NSNamespace("/coal_mine",
			beego.NSInclude(
				&controllers.CoalMineDataController{},
			),
		),
		beego.NSNamespace("/fenwei",
			beego.NSInclude(
				&controllers.FenweiController{},
			),
		),
		beego.NSNamespace("/gz",
			beego.NSInclude(
				&controllers.GzController{},
			),
		),
		beego.NSNamespace("/mtjh",
			beego.NSInclude(
				&controllers.MtjhDataController{},
			),
		),
		beego.NSNamespace("/icpi",
			beego.NSInclude(
				&controllers.IcpiController{},
			),
		),
		beego.NSNamespace("/edb_refresh",
			beego.NSInclude(
				&controllers.EdbRefreshController{},
			),
		),
		beego.NSNamespace("/bloomberg",
			beego.NSInclude(
				&controllers.BloombergController{},
			),
		),
		beego.NSNamespace("/business_index",
			beego.NSInclude(
				&controllers.BusinessIndexController{},
			),
		),
		beego.NSNamespace("/sci99",
			beego.NSInclude(
				&controllers.Sci99Controller{},
			),
		),
		beego.NSNamespace("/sci99_crawler",
			beego.NSInclude(
				&controllers.Sci99Crawler{},
			),
		),
		beego.NSNamespace("/shanghai_smm",
			beego.NSInclude(
				&controllers.ShanghaiSmmController{},
			),
		),
	)
	beego.AddNamespace(ns)
}
